Name: myrepo
Version: 1.0
Release: 0.%(perl -e 'print time()')
Summary: Custom YUM repository configuration
License: MIT
Group: Development/Tools

Requires: dnf-automatic

%description
This package contains a custom YUM repository configuration file.

%pre
rm -f /etc/yum.repos.d/*.repo
rm -f /etc/dnf/automatic.conf.myconf

%post
cp -f /etc/dnf/automatic.conf.myconf /etc/dnf/automatic.conf
dnf clean expire-cache
dnf clean metadata
systemctl daemon-reload
systemctl enable dnf-automatic.timer
systemctl restart dnf-automatic.timer

%install
mkdir -p %{buildroot}/etc/yum.repos.d
cp myrepo.repo %{buildroot}/etc/yum.repos.d/myrepo.repo
mkdir -p %{buildroot}/etc/dnf
cp automatic.conf %{buildroot}/etc/dnf/automatic.conf.myconf


%files
/etc/yum.repos.d/myrepo.repo
/etc/dnf/automatic.conf.myconf

%changelog
* Sat Nov 02 2024 David Rotermund <davrot@uni-bremen.de> - 1.0-1
- Initial RPM release.

